Bug 150907 - LDAP Authentication fails with an assertion error.
LDAP Authentication fails with an assertion error.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: squid (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-11 16:19 EST by Jon Orris
Modified: 2014-08-31 19:27 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2005-415
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-14 15:43:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Orris 2005-03-11 16:19:05 EST
Description of problem:
The LDAP authentication module in squid fails with an assertion error. 

For example, given a sample LDAP server with user uid 'foo' pwd 'bar', do:

/usr/lib/squid/squid_ldap_auth -b "ou=People,dc=example,dc=com" -h
some.ldap.server.com -f "uid=%s"
foo bar
squid_ldap_auth: ../../../libraries/libldap/search.c:189: ldap_search: Assertion
`ld != ((void *)0)' failed.
Aborted

On RHEL3, this gives:
/usr/lib/squid/squid_ldap_auth -b "ou=People,dc=example,dc=com" -h
some.ldap.server.com -f "uid=%s"
foo bar
OK

The effect is that LDAP auth on rhel4 doens't work at all, whereas it is working
fine on RHEL3-U4.


Will attach sample squid.conf.
Comment 1 David Smith 2005-04-07 03:32:28 EDT
I don't think it is necessary to attach a squid.conf as the problem is
independent of the squid setup - the squid_ldap_auth app fails
standalone and as a squid helper.

This looks the same as bug 141938
Comment 2 Garry Optland 2005-05-06 18:11:28 EDT
squid_ldap_auth from FC3 (version squid-2.5.STABLE9-1.FC3.4) has this bug fixed. 
Comment 3 Josh Bressers 2005-06-14 15:43:07 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-415.html

Note You need to log in before you can comment on or make changes to this bug.